# Flashlight enabled

A decision block that checks if the camera flash LED light is turned on or off.

If the proceed option is set to Immediately, then check if flashlight is currently turned on or off without pausing the fiber. If set to When changed then the fiber will pause until the flashlight has been turned on or off.

Note! This feature requires Android 6+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Camera — flashlight on which camera to check, default is likely the back-facing camera.